package com.zilber.boot;

import com.github.xiaoymin.knife4j.spring.annotations.EnableKnife4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 启动程序
 *
 * @author lsc
 */
@SpringBootApplication(exclude = DataSourceAutoConfiguration.class)
@EnableKnife4j
@MapperScan(basePackages = "com.zilber.boot.*.mapper")
public class IntelligenceSiteApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(IntelligenceSiteApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                "        _ _ _                \n" +
                "       (_) | |               \n" +
                "    _____  | |__   ___ _ __  \n" +
                "   |_  / | | |_ } / _ { |__| \n" +
                "    / /| | | |_) | ___/ |    \n" +
                "   /___|_|_|_.__/  ___|_|    \n");
    }
}


