package com.zilber.boot.file.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

@Mapper
public interface FileDao {

    @Select("SELECT url, type FROM file WHERE md5 = #{md5} AND location = #{location} LIMIT 1")
    Map<String, Object> listFileUrl(@Param("md5") String md5, @Param("location") Integer location);

    @Insert("INSERT INTO file(md5, url, type, location) VALUES (#{md5}, #{url}, #{type},#{location})")
    void addFile(@Param("md5") String md5,@Param("url") String url,@Param("type") Integer type,@Param("location") Integer location);

}
