package com.zilber.boot.file.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;

/**
 * @Author LJX
 * @TIME 2022-10-11 11:04
 * @PROJECT cppcc
 * created by Intellij IDEA
 * Description
 */
@Data
@ApiModel("文件检测")
public class FileCheckDTO {

    @ApiModelProperty(name = "文件路径")
    private String url;

    @ApiModelProperty(name = "文件类型")
    private Integer type;

    @ApiModelProperty(name = "文件是否存在")
    private Boolean exist;

    @ApiModelProperty(name = "文件是否已上传")
    private Boolean uploaded;

    @ApiModelProperty(name = "文件总块数")
    private Long chunks;

    @ApiModelProperty(name = "文件块信息")
    private Map<String, Boolean> chunkInfo;

}
