package com.zilber.boot.file.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.util.Map;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("文件上传返回")
public class FileUploadDTO {

    @ApiModelProperty("文件状态:1-完成 0-失败或未完成")
    private Integer uploadComplete;

    private Map<Long, String> chunkMd5Info;

    @ApiModelProperty("文件名")
    private String name;

    @ApiModelProperty("文件地址")
    private String url;
}
