package com.zilber.boot.file.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

@Data
@ApiModel("文件切片")
public class FileUploadRequestDTO {

    //文件
    @ApiModelProperty("文件")
    private MultipartFile file;

    //块大小
    @ApiModelProperty("文件块大小")
    private Long chunkSize;

    //当前块数
    @ApiModelProperty("当前文件块")
    private Long chunk;

    //总块数
    @ApiModelProperty("文件总块数")
    private Long chunks;

    @ApiModelProperty("文件类型")
    private String type;

    @ApiModelProperty("文件名称")
    private String name;

    @ApiModelProperty("md5")
    private String md5;

    /*private String path;*/
}
