package com.zilber.boot.file.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("文件上传返回")
public class FileUploadsDTO {

    @ApiModelProperty("文件状态:1-完成 0-失败或未完成")
    private Integer uploadComplete;

    //块大小
    @ApiModelProperty("文件块大小")
    private Long chunkSize;

    //当前块数
    @ApiModelProperty("当前文件块")
    private Long chunk;

    //总块数
    @ApiModelProperty("文件总块数")
    private Long chunks;

}
