package com.zilber.boot.file.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.stereotype.Component;

import javax.validation.constraints.NotBlank;

/**
 * @Author LJX
 * @TIME 2023-01-09 16:04
 * @PROJECT cppcc
 * created by Intellij IDEA
 * Description
 */
@Data
@ApiModel("oss分片上传取消")
@Component
public class OssCancel extends OssProperties{

    @NotBlank(message = "上传id不能为空")
    @ApiModelProperty(value = "上传id", required = true)
    private String uploadId;

    @NotBlank(message = "文件名称不能为空")
    @ApiModelProperty(value = "文件名称", required = true)
    private String key;

}
