package com.zilber.boot.file.entity;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author LJX
 * @TIME 2023-01-09 9:57
 * @PROJECT cppcc
 * created by Intellij IDEA
 * Description
 */
@Component
@Data
@ConfigurationProperties("aliyun.oss")
public class OssProperties {

    /**
     * 填写Bucket所在地域对应的Endpoint
     */
    private String endpoint;
    /**
     * AccessKey的id
     */
    private String keyId;
    /**
     * AccessKey的密钥
     */
    private String keySecret;
    /**
     * 阿里云储存文件的Bucket名称
     */
    private String bucketName;
    /**
     * 目标文件夹名称
     */
    private String module;

}
