package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IMaterials;
import com.zilber.boot.intelligencesite.mapper.IMaterialsMapper;
import com.zilber.boot.intelligencesite.service.IIMaterialsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 材料信息表 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IMaterialsServiceImpl extends ServiceImpl<IMaterialsMapper, IMaterials> implements IIMaterialsService {

    @Resource
    private IMaterialsMapper iMaterialsMapper;


    @Override
    public List<IMaterials> queryList(IMaterials iMaterials) {
        return iMaterialsMapper.queryList(iMaterials);
    }
}
