package com.zilber.boot.module.vehicle.properties;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @Author LJX
 * @TIME 2025-05-07 10:10
 * @PROJECT intelligence-site
 * created by Intellij IDEA
 * Description
 */
@Data
@Component
public class TourRunProperties {

    @Value("${tourRun.appKey}")
    private String appKey;

    @Value("${tourRun.appSecret}")
    private String appSecret;

    @Value("${tourRun.tourRunAccount}")
    private String tourRunAccount;

    @Value("${tourRun.tourRunPassword}")
    private String tourRunPassword;

    @Value("${tourRun.openapiUrl}")
    private String openapiUrl;

    @Value("${tourRun.h5Url}")
    private String h5Url;

}
