package com.zilber.boot.utils.page;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

@ApiModel("分页查询")
public class Pageable {

    @NotNull(message = "当前页数不能为空")
    @ApiModelProperty(value = "当前页数", required = true)
    private Integer pageNo = 1;

    @NotNull(message = "每页记录数不能为空")
    @ApiModelProperty(value = "每页记录数", required = true)
    private Integer pageSize = 9999999;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }
}
