package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IConstructionReport;
import com.zilber.boot.intelligencesite.mapper.IConstructionReportMapper;
import com.zilber.boot.intelligencesite.service.IIConstructionReportService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 施工报告 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IConstructionReportServiceImpl extends ServiceImpl<IConstructionReportMapper, IConstructionReport> implements IIConstructionReportService {

    @Resource
    private IConstructionReportMapper  iConstructionReportMapper;


    @Override
    public List<IConstructionReport> queryList(IConstructionReport iConstructionReport) {
        return iConstructionReportMapper.queryList(iConstructionReport);
    }

}
