package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IEngineerLog;
import com.zilber.boot.intelligencesite.mapper.IEngineerLogMapper;
import com.zilber.boot.intelligencesite.service.IIEngineerLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 工程日志 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IEngineerLogServiceImpl extends ServiceImpl<IEngineerLogMapper, IEngineerLog> implements IIEngineerLogService {

    @Resource
    private IEngineerLogMapper iEngineerLogMapper;

    @Override
    public List<IEngineerLog> queryList(IEngineerLog iEngineerLog) {
        return iEngineerLogMapper.queryList(iEngineerLog);
    }
}
