package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IManpower;
import com.zilber.boot.intelligencesite.mapper.IManpowerMapper;
import com.zilber.boot.intelligencesite.service.IIManpowerService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 人力信息表 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IManpowerServiceImpl extends ServiceImpl<IManpowerMapper, IManpower> implements IIManpowerService {

    @Resource
    private IManpowerMapper iManpowerMapper;


    @Override
    public List<IManpower> queryList(IManpower iManpower) {
        return iManpowerMapper.queryList(iManpower);
    }
}
