package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.ISafe;
import com.zilber.boot.intelligencesite.mapper.ISafeMapper;
import com.zilber.boot.intelligencesite.service.IISafeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 安全教育 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class ISafeServiceImpl extends ServiceImpl<ISafeMapper, ISafe> implements IISafeService {

    @Resource
    private ISafeMapper iSafeMapper;

    @Override
    public List<ISafe> queryList(ISafe iSafe) {
        return  iSafeMapper.queryList(iSafe);
    }
}
