package com.zilber.boot.intelligencesite.service.impl;

import com.zilber.boot.intelligencesite.entity.IWarn;
import com.zilber.boot.intelligencesite.mapper.IWarnMapper;
import com.zilber.boot.intelligencesite.service.IIWarnService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 预警表 服务实现类
 * </p>
 *
 * @author lsc
 * @since 2025-05-06
 */
@Service
public class IWarnServiceImpl extends ServiceImpl<IWarnMapper, IWarn> implements IIWarnService {

    @Resource
    private IWarnMapper iWarnMapper;

    @Override
    public List<IWarn> queryList(IWarn iWarn) {
        return iWarnMapper.queryList(iWarn);
    }
}
