package com.zilber.boot.system.controller;


import com.zilber.boot.commoncontroller.BaseController;
import com.zilber.boot.framework.web.service.SysRegisterService;
import com.zilber.boot.system.pojo.SysUser;
import com.zilber.boot.utils.AjaxResult;
import com.zilber.boot.utils.StringUtils;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * 注册验证
 *
 * @author lsc
 */
@RestController
public class SysRegisterController extends BaseController
{
    @Autowired
    private SysRegisterService registerService;

    @ApiOperation(value="用户注册",notes="用户注册")
    @PostMapping("/register")
    public AjaxResult register(@RequestBody SysUser sysUser)
    {
        String msg = registerService.register(sysUser);
        return StringUtils.isEmpty(msg) ? success() : error(msg);
    }
}
